Skip to main content
GET
Get component metric series

Authorizations

Authorization
string
header
required

Generate an API token at https://qlty.sh/user/settings/tokens

Path Parameters

ownerKeyOrId
string
required

Repository owner name (login) or workspace ID

Minimum string length: 3
Example:

"acme-corp"

projectKeyOrId
string
required

Repository name or project ID

Minimum string length: 3
Example:

"my-repo"

componentIdOrName
string
required

Component ID or name

Minimum string length: 1
Example:

"backend-api"

Query Parameters

from
string<date-time>

Window start (RFC 3339 date or date-time, inclusive). Defaults to six months before to.

Example:

"2026-01-01"

to
string<date-time>

Window end (RFC 3339 date or date-time, inclusive). Defaults to the current time and is clamped to it.

Example:

"2026-06-01"

interval
enum<string>
default:week

Bucket size; buckets are UTC-aligned and weeks start Monday

Available options:
day,
week,
month
metric

Filter by metric key

Available options:
CMPLX,
DUP,
MNT,
SEC,
SIZE,
ISS,
SECI,
TDR,
FILES,
LOC,
COV,
LCOV
category

Filter by metric category

Available options:
maintainability,
reliability,
security,
size,
coverage,
quality

Response

Retrieve metric time series for a component

data
object[]
required
meta
object
required